@ECHO OFF
REM ***********************************************************************
REM     Author(s): K. Kaspar
REM     ©  UNIVERSITY - L I N Z / LCM - Linz Center of Mechatronics GmbH
REM        Institute for Electrical Drives and Power Electronics
REM ***********************************************************************

ECHO ComponentSpace Documentation
ECHO.

SET /P answer=Treat warnings as errors (y/[n])?
IF /I {%answer%}=={y} (set WarningsAsErrors=1) ELSE (set WarningsAsErrors=0)
SET /P answer=Run in nit-picky mode (y/[n])?
IF /I {%answer%}=={y} (set NitPickyMode=1) ELSE (set NitPickyMode=0)
SET /P answer=Create logfile (y/[n])?
IF /I {%answer%}=={y} (set LogFile=%~dp0help.log) ELSE (set LogFile=0)

ECHO.
ECHO Creating ComponentSpace Documentation ...
ECHO.

%MagOpt_Home%CSymSpace.exe %ComponentSpace%\src\componentspace\scripts\build_developer_help.py --WarningsAsErrors %WarningsAsErrors% --NitPickyMode %NitPickyMode% --LogFile %LogFile%

ECHO.
ECHO Finished
ping /n 10 localhost >nul